ZWTextInternal::HFZone Struct Reference

Internal: struct used to store a header/footer of a ZWText. More...

## Public Member Functions

| HFZone ()
| constructor More...
bool | ok () const
| returns true if the zone is not empty More...
std::string | getDebugString (MWAWFontConverterPtr &convert) const
| operator<< More...

## Public Attributes

MWAWEntry | m_pos
| the text position More...
Font | m_font
| the font More...
std::string | m_extra
| extra data More...

## Detailed Description

Internal: struct used to store a header/footer of a ZWText.

## Constructor & Destructor Documentation

ZWTextInternal::HFZone::HFZone | ( |  | ) |

inline

constructor

## Member Function Documentation

std::string ZWTextInternal::HFZone::getDebugString | ( | MWAWFontConverterPtr & | convert | ) | const

inline

operator<<

Referenced by ZWText::readHFZone().

bool ZWTextInternal::HFZone::ok | ( |  | ) | const

inline

returns true if the zone is not empty

Referenced by ZWText::sendHeaderFooter().

## Member Data Documentation

std::string ZWTextInternal::HFZone::m_extra

extra data

Referenced by getDebugString(), and ZWText::readHFZone().

Font ZWTextInternal::HFZone::m_font

the font

Referenced by getDebugString(), HFZone(), ZWText::readHFZone(), and ZWText::sendHeaderFooter().

MWAWEntry ZWTextInternal::HFZone::m_pos

the text position

Referenced by getDebugString(), ok(), ZWText::readHFZone(), and ZWText::sendHeaderFooter().

The documentation for this struct was generated from the following file:

- ZWText.cxx